## telepathy-glib 0.24.2

=== debian/changelog ===
telepathy-glib (0.24.2-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Update gir handling

  [ Simon McVittie ]
  * d/upstream/metadata: Add

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 18:42:59 -0400

telepathy-glib (0.24.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Add patch from upstream to fix FTBFS with gcc 14 (Closes: #1075558)

  [ Emilio Pozuelo Monfort ]
  * control: add gir:Provides for the -dev package
  * rules: clean up dbgsym migration
  * control: clean up gir1.0 conflicts/replaces

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Jan 2025 10:56:19 +0100

telepathy-glib (0.24.2-1) unstable; urgency=medium

  * debian/control: Make the -dev package as M-A: same and the -doc package as
    M-A: foreign
  * debian/control: Remove Adam Conrad from the Uploaders list (Closes:
    #986953)
  * debian/control: Bump Standards-Version to 4.6.1 (no further changes)
  * Fix FTBFS with glib 2.80 (Closes: #1070247)
  * Port examples to python 3
  * debian/clean: Fix "Fails to build after successful build"
    (Closes: #1046239, #1049819)
  * debian/control: s/pkg-config/pkgconf to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 15 Jun 2024 12:36:32 +0200

telepathy-glib (0.24.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix erroneous Depends on libtelepathy-glib0 instead of
    libtelepathy-glib0t64 (Closes: #1067696).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 26 Mar 2024 22:33:00 +0500

telepathy-glib (0.24.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062970

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:04:12 +0000

telepathy-glib (0.24.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Port scripts to Python 3 (Closes: #938638)
  * debian/patches:
    - python2-shebang.patch: No longer needed
    - python3-shebang.patch: Point a shebang used during tests to
      /usr/bin/python3
    - 0001-Don-t-use-the-same-test-name-for-multiple-tests.patch: Fixed
      upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Aug 2022 19:04:20 +0200
