=== debian/control ===
Source: telepathy-glib
Section: libs
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), dbus,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gio-2.0-dev,
               gobject-introspection (>= 1.31.0-2~),
               gtk-doc-tools (>= 1.17),
               libdbus-1-dev (>= 0.95),
               libdbus-glib-1-dev (>= 0.90),
               libglib2.0-dev (>= 2.36),
               pkgconf,
               python3,
               valac (>= 0.16),
               xsltproc
Build-Depends-Indep: libdbus-glib-1-doc <!nodoc>, libglib2.0-doc <!nodoc>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/telepathy-team/telepathy-glib.git
Vcs-Browser: https://salsa.debian.org/telepathy-team/telepathy-glib
Homepage: https://telepathy.freedesktop.org/wiki/

Package: libtelepathy-glib0t64
Provides: ${t64:Provides}
Replaces: libtelepathy-glib0
Breaks: libtelepathy-glib0 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Telepathy framework - GLib library
 This package contains telepathy-glib, a GLib-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-glib-dev
Architecture: any
Section: libdevel
Depends: libtelepathy-glib0t64 (= ${binary:Version}),
         libglib2.0-dev (>= 2.32),
         libdbus-1-dev (>= 0.95),
         libdbus-glib-1-dev (>= 0.90),
         pkgconf,
         ${gir:Depends},
         ${misc:Depends}
Suggests: libtelepathy-glib-doc
Provides: ${gir:Provides}
Multi-Arch: same
Description: GLib Telepathy connection manager library (headers)
 This package contains development files for telepathy-glib, a GLib-based
 library for Telepathy components.
 .
 Vala bindings are also included; the Vala bindings are currently considered
 to be experimental by the maintainers of telepathy-glib, and might receive
 incompatible changes until at least telepathy-glib 0.14.0.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: GLib Telepathy library (documentation)
 This package contains HTML documentation for telepathy-glib, a GLib-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: gir1.2-telepathyglib-0.12
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GLib Telepathy connection manager library (GObject-Introspection)
 This package contains introspection data for telepathy-glib, which can be used
 to generate dynamic bindings for Telepathy components.
 .
 These GObject-Introspection bindings are considered to be experimental by the
 maintainers of telepathy-glib, and might receive incompatible changes until
 at least telepathy-glib 0.14.0.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
