=== debian/rules ===
#!/usr/bin/make -f

# On kernel/libc combinations where credentials-passing doesn't work, or where
# it works but either libdbus or GDBus doesn't understand how, D-Bus clients
# have to write to ~/.dbus-keyrings to prove their identities. Debian packages
# aren't allowed to write to ${HOME}.
export HOME = $(CURDIR)/debian/tmp-home
# GLib doesn't respect $HOME for everything, so we use the Debian-specific
# G_HOME too.
export G_HOME = $(HOME)

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# The tests try to exit after a reasonable time, but some architectures
# are unreasonably slow, and Ubuntu buildds have output buffering issues.
# Debian buildds know how to abort a stalled build after a while anyway,
# so the individual tests don't need to worry about it.
export TP_TESTS_NO_TIMEOUT = 1

%:
	dh $@

execute_after_dh_auto_install:
	find debian -name '*.la' -print -delete

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-Werror \
	--enable-introspection \
	--enable-vala-bindings \
	--enable-gtk-doc \
	--with-html-dir=\$${prefix}/share/doc/libtelepathy-glib-doc
	install -d -m700 $(HOME)

# the doc package doesn't depend on the shared library, so can't symlink
# Also, force the "doc-main-package" option to the -doc package so the
# documentation files stay at the same location as before otherwise that
# doesn't play well with the "--link-doc" option after debhelper compat update
override_dh_installdocs:
	dh_installdocs -a --link-doc=libtelepathy-glib0t64
	dh_installdocs -p libtelepathy-glib-doc --doc-main-package=libtelepathy-glib-doc

override_dh_installexamples:
	dh_installexamples -p libtelepathy-glib-doc --doc-main-package=libtelepathy-glib-doc
