=== debian/watch ===
version=3
https://telepathy.freedesktop.org/releases/telepathy-glib/telepathy-glib-(0\.[0-9]*[24680]\..*).tar.gz
